#### D.6.17.4 monodromyB

Procedure from library `mondromy.lib` (see mondromy_lib).

Usage:
  monodromyB(f[,opt]); f poly, opt int

Assume:
  The polynomial f in a series ring (local ordering) defines an isolated hypersurface singularity.

Return:
  The procedure returns a residue matrix M of the meromorphic Gauss-Manin connection of the singularity defined by f or an empty matrix if the assumptions are not fulfilled. If opt=0 (default), exp(-2*pi*i*M) is a monodromy matrix of f, else, only the characteristic polynomial of exp(-2*pi*i*M) coincides with the characteristic polynomial of the monodromy of f.

Display:
  The procedure displays more comments for higher printlevel.

Example:

    LIB "mondromy.lib";
    ring R=0,(x,y),ds;
    poly f=x2y2+x6+y6;
    matrix M=monodromyB(f);
    print(M);
    ==> 7/6,0,  0,0,  0,  0,0,   0,-1/2,0,  0,  0,  0,
    ==> 0,  7/6,0,0,  0,  0,-1/2,0,0,   0,  0,  0,  0,
    ==> 0,  0,  1,0,  0,  0,0,   0,0,   0,  0,  0,  0,
    ==> 0,  0,  0,4/3,0,  0,0,   0,0,   0,  0,  0,  0,
    ==> 0,  0,  0,0,  4/3,0,0,   0,0,   0,  0,  0,  0,
    ==> 0,  0,  0,0,  0,  1,0,   0,0,   0,  0,  0,  0,
    ==> 0,  0,  0,0,  0,  0,5/6, 0,0,   0,  0,  0,  0,
    ==> 0,  0,  0,0,  0,  0,0,   1,0,   0,  0,  0,  0,
    ==> 0,  0,  0,0,  0,  0,0,   0,5/6, 0,  0,  0,  0,
    ==> 0,  0,  0,0,  0,  0,0,   0,0,   2/3,0,  0,  0,
    ==> 0,  0,  0,0,  0,  0,0,   0,0,   0,  2/3,0,  0,
    ==> 0,  0,  0,0,  0,  0,0,   0,0,   0,  0,  1,  -1/3,
    ==> 0,  0,  0,0,  0,  0,0,   0,0,   0,  0,  3/4,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.